Comprehensive data protection for all workloads
Post Reply
adrien.herve
Enthusiast
Posts: 48
Liked: 15 times
Joined: Dec 16, 2014 8:15 am
Full Name: Adrien HERVE
Contact:

Backup console is not compatible with proxy

Post by adrien.herve » Jun 01, 2016 6:18 am

Hi guys,

Just wanted to share my little experience with you, my issue is fixed now my case # is 01813148.

I have two backup servers in v8 and my first backup server is also hosting Enterprise Manager role. Yesterday I decided to move smoothly in v9, just by upgrading my Enterprise Manager. Like I see in the KB, Enterprise Manager 9 supports version 8 backup server so I can potentially run this version without any trouble.

So I start the installation of Enterprise Manager in 9 and of course I’ve put a 9 key to install it then at the end of the wizard I was prompted to restart the server, at this point everything was doing good.
But after restarting, my backup server in 8 (hosted on the same server than my Enterprise Manager) wanted a valid license key to be registered. At this point all my backup jobs on this specific backup server failed with this error message “Error: Invalid product version” and all the jobs hosted on my other backup server in v8 was still working like a charm. I tried to put a v8 key on my Enterprise Manager in 9 but I was facing another error message which I don’t remember.

So I opened a support case and I also decided to contact my preferred Veeam system engineer, he told me to put a v8 key directly on the backup server and see what’s happen. After applying this workaround, I was able to launch the backup console without any licensing message and everything seems to be OK but when I try to start a job I got this error message “Error: Backup console is not compatible with proxy 'VEEAM001'. Backup server version: '8.0.0.2084'.”.

When the support call me back they told me that this is a known misbehavior and they wanted to replace “VeeamDeploymentSvc.exe” and “VeeamDeploymentDll.dll” but this trick didn’t work at all. At the end of the remote session we decided to upgrade the backup server in 9 too, to be honest this was not planned in the initial change but without any solution we need to make a move and try something to fix this situation.

After this upgrade my jobs are working and this morning everything is fine but I still have two questions:

1. It’s really possible to install Enterprise Manager in 9 and run backup server in 8 on the same host?
2. The support engineer told me that is not necessary to reset CBT for all VMs in the environment after the upgrade in 9, what’s your position?

Have a nice day,
Adrien

foggy
Veeam Software
Posts: 18791
Liked: 1650 times
Joined: Jul 11, 2011 10:22 am
Full Name: Alexander Fogelson
Contact:

Re: Backup console is not compatible with proxy

Post by foggy » Jun 01, 2016 11:41 am

Adrien, while you can seamlessly add standalone v8 Veeam B&R backup servers in v9 EM installation, running them on the same server is not possible as EM upgrade potentially upgrades some of the components that Veeam B&R uses.

Here's an existing thread regarding your second question.

Thanks.

adrien.herve
Enthusiast
Posts: 48
Liked: 15 times
Joined: Dec 16, 2014 8:15 am
Full Name: Adrien HERVE
Contact:

Re: Backup console is not compatible with proxy

Post by adrien.herve » Jun 01, 2016 12:28 pm

Thank you for your reply. So in my case CBT reset is not mandatory, I've upgraded my vSphere environnement after the CBT issue story from 5.1 U3 to 6.0 U1b directly.

Post Reply

Who is online

Users browsing this forum: Bing [Bot], Google [Bot], JoseM.Quesada and 40 guests